Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins.sonar.model
[Groovy] Interface SonarModel

    interface SonarModel

Base interface for Sonar models on analysis roots and their subprojects.

Method Summary
`List` | `getChildModels()` Returns the Sonar model objects for this project's child projects.
`SonarProject` | `getProject()` Returns per-project configuration options.

Method Detail

### getChildModels

    List getChildModels()

  Returns the Sonar model objects for this project's child projects.
  Returns:
    the Sonar model objects for this project's child projects

### getProject

    SonarProject getProject()

  Returns per-project configuration options.
  Returns:
    per-project configuration options

Gradle API 1.10